io.vertx.rxjava3.ext.web.templ.freemarker

## Class FreeMarkerTemplateEngine

- java.lang.Object
- - io.vertx.rxjava3.ext.web.common.template.TemplateEngine
  - - io.vertx.rxjava3.ext.web.templ.freemarker.FreeMarkerTemplateEngine

-     public class FreeMarkerTemplateEngine
      extends TemplateEngine

  A template engine that uses the FreeMarker library. The `TemplateEngine.unwrap()` shall return an object of class `Configuration`

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<FreeMarkerTemplateEngine>` | `__TYPE_ARG`
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` Default template extension

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreeMarkerTemplateEngine(FreeMarkerTemplateEngine delegate)`
    `FreeMarkerTemplateEngine(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FreeMarkerTemplateEngine` | `create(Vertx vertx)` Create a template engine using defaults
    `static FreeMarkerTemplateEngine` | `create(Vertx vertx, String extension)` Create a template engine using defaults
    `boolean` | `equals(Object o)`
    `FreeMarkerTemplateEngine` | `getDelegate()`
    `int` | `hashCode()`
    `static FreeMarkerTemplateEngine` | `newInstance(FreeMarkerTemplateEngine arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava3.ext.web.common.template.TemplateEngine

      `clearCache, newInstance, render, render, rxRender, rxRender, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<FreeMarkerTemplateEngine> __TYPE_ARG

    - #### DEFAULT_TEMPLATE_EXTENSION

          public static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FreeMarkerTemplateEngine

          public FreeMarkerTemplateEngine(FreeMarkerTemplateEngine delegate)

    - #### FreeMarkerTemplateEngine

          public FreeMarkerTemplateEngine(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `TemplateEngine`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `TemplateEngine`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `TemplateEngine`

    - #### getDelegate

          public FreeMarkerTemplateEngine getDelegate()

      Overrides:
        `getDelegate` in class `TemplateEngine`

    - #### create

          public static FreeMarkerTemplateEngine create(Vertx vertx)

      Create a template engine using defaults
      Parameters:
        `vertx` -
      Returns:
        the engine

    - #### create

          public static FreeMarkerTemplateEngine create(Vertx vertx,
                                                        String extension)

      Create a template engine using defaults
      Parameters:
        `vertx` -
        `extension` -
      Returns:
        the engine

    - #### newInstance

          public static FreeMarkerTemplateEngine newInstance(FreeMarkerTemplateEngine arg)

Copyright © 2021 Eclipse. All rights reserved.